<?xml version="1.0" encoding="UTF-8"?>
<interface>
    <template class="CardEntry" parent="GtkWidget">
        <!-- <property name="is_learning">false</property> -->
        <child>
            <object class="GtkImage" id="image">
                <property name="halign">GTK_ALIGN_START</property>
                <property name="valign">GTK_ALIGN_CENTER</property>
                <property name="vexpand">true</property>
                <property name="vexpand">true</property>
                <property name="height-request">128</property>
                <property name="width-request">128</property>
            </object>
        </child>
        <child>
            <object class="GtkLabel" id="hieroglyph_label">
                <property name="halign">GTK_ALIGN_START</property>
                <property name="valign">GTK_ALIGN_CENTER</property>
                <property name="margin-start">50</property>
                <property name="selectable">true</property>
            </object>
        </child>
        <child>
            <object class="GtkLabel" id="reading_label">
                <property name="halign">GTK_ALIGN_START</property>
                <property name="valign">GTK_ALIGN_CENTER</property>
                <property name="margin-start">50</property>
                <property name="selectable">true</property>
            </object>
        </child>
        <child>
            <object class="GtkLabel" id="translation_label">
                <property name="halign">GTK_ALIGN_START</property>
                <property name="valign">GTK_ALIGN_CENTER</property>
                <property name="margin-end">50</property>
                <property name="hexpand-set">true</property>
                <property name="hexpand">true</property>
                <property name="width-chars">16</property>
                <property name="max-width-chars">16</property>
                <property name="wrap">true</property>
                <property name="selectable">true</property>
            </object>
        </child>
        <child>
            <object class="GtkSwitch" id="is_learning_switch">
                <property name="valign">GTK_ALIGN_CENTER</property>
            </object>
        </child>
        <child>
            <object class="GtkButton" id="edit_button">
                <property name="halign">GTK_ALIGN_END</property>
                <property name="valign">GTK_ALIGN_CENTER</property>
                <property name="label">edit</property>
                <property name="hexpand">true</property>
                <property name="hexpand-set">true</property>
            </object>
        </child>
        <child>
            <object class="GtkButton" id="delete_button">
                <property name="halign">GTK_ALIGN_START</property>
                <property name="valign">GTK_ALIGN_CENTER</property>
                <property name="label">delete</property>
                <property name="hexpand">true</property>
                <property name="hexpand-set">true</property>
            </object>
        </child>
    </template>
</interface>